.tx_psvneoproducts .highlight-switch {
    --switch-bg: #D9D9D9;
    --switch-active-bg: #FCC200;
    --switch-padding: .25rem;
    --handle-bg: #000;
    --handle-width: 1rem;
    --border-radius: .375rem;
    margin-bottom: 3.25rem;

    display: inline-flex;

    label {
        display: inline-flex;
        align-items: center;
        gap: .375rem;
        font-size: .75rem;
        cursor: pointer;
        line-height: 1;
        margin: unset;
    }

    .switch {
        display: block;
        padding: var(--switch-padding);
        background-color: var(--switch-bg);
        width: calc((var(--handle-width) * 2) + var(--switch-padding));
        border-radius: var(--border-radius);
    }

    .handle {
        display: block;
        width: 1rem;
        height: 1rem;
        aspect-ratio: 1/1;
        background-color: var(--handle-bg);
        border-radius: var(--border-radius);
        transform: translateX(0);
        transition: all .2s ease-in-out;
    }

    .on, .off {
        text-transform: uppercase;
    }

    .on {
        display: none;
    }

    .off {
        display: block;
    }

    &:has(input:checked) {
        --switch-bg: var(--switch-active-bg);

        .on {
            display: block;
        }

        .off {
            display: none;
        }

        .handle {
            transform: translateX(calc(100% - var(--switch-padding)));
        }
    }

}

.tx_psvneoproducts .shadow-wrapper:has(.is--scrollable) {
    position: relative;

    &:after {
        content: '';
        display: block;
        width: 2rem;
        height: 100%;
        position: absolute;
        top: 0;
        right: 0;
        background: linear-gradient(90deg, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, .05) 100%);
    }
}

.tx_psvneoproducts .attributes-table {
    --cell-bg: #fff;

    width: 100%;
    table-layout: auto;
    margin-bottom: unset;
    border-collapse: initial;
    border-spacing: 0;

    th, td {
        padding-inline: 1rem;
        transition: all .2s ease-in-out;
        min-width: 12rem;
        background-color: var(--cell-bg);
    }

    .copy-col {
        position: relative;

        .copy-icon {
            position: relative;
            width: 1rem;
            height: 1rem;
            display: inline-flex;

            svg {
                display: block;
                width: 100%;
                fill: currentColor;
                transition: var(--bs-accordion-btn-icon-transition, all .2s ease-in-out);
            }

            .initial {
                opacity: 1;
                fill: #B2B2B2;
            }

            .success {
                opacity: 0;
                position: absolute;
                left: 0;
                top: 0;
                width: 100%;
                fill: var(--bs-success, #107C10);
            }
        }

        &.is--copied .initial {
            opacity: 0;
        }

        &.is--copied .success {
            opacity: 1;
        }

        &:has(.copy-icon) {
            cursor: pointer;
            transition: all .25s ease-in-out;

            &:hover {
                background-color: #f1f1f1;
            }
        }

    }

    .col-header,
    .col-title {
        position: sticky;
        z-index: 1;
        left: 0;
        padding-inline: 1rem;
    }

    tr.is--highlight {
        --cell-bg: #fff5db;
        --cell-bg-hover: #ece2ca;

        td:has(.copy-icon):hover {
            background-color: var(--cell-bg-hover) !important;
        }
    }

    &.is--scrollable {
        .col-header:after,
        .col-title:after {
            content: '';
            display: block;
            width: 2rem;
            height: 100%;
            position: absolute;
            top: 0;
            right: 0;
            transform: translateX(100%);
            background: linear-gradient(90deg, rgba(0, 0, 0, .05) 0%, rgba(0, 0, 0, 0) 100%);
        }
    }
}
